PRO chkbud

max=63488.D0				; yearly ceiling
b=ddread('~steele/CSA/budget.dat')	; load numbers
bb=DOUBLE(b(1:*,*))			; lose YYMM
tot=TOTAL(bb,1)				; total categories by month
yr1=INDGEN(12)				; pointer to Year 1
yr2=yr1+12				; ditto for Year 2
yr3=yr2+12				; ditto for Year 3
yr1tot=TOTAL(tot(yr1))			; budget total for Year 1
yr2tot=TOTAL(tot(yr2))			; ditto for Year 2
yr3tot=TOTAL(tot(yr3))			; ditto for Year 3
yr1exc=max-yr1tot			; excess for Year 1
yr2exc=max-yr2tot			; ditto for Year 2
yr3exc=max-yr3tot			; ditto for Year 3
fmt='(A8,3F10.2)'
PRINT,'Total:  ',yr1tot,yr2tot,yr3tot,FORMAT=fmt
PRINT,'Excess: ',yr1exc,yr2exc,yr3exc,FORMAT=fmt

s=qgetfile('~steele/CSA/budget.dat')	; load as text file
FOR i=0,36 DO BEGIN
    tmp=spc(64)
    STRPUT,tmp,s(i),0
    IF i GT 0 $
	THEN tmp=tmp+STRING(TOTAL(bb(*,i-1)),FORMAT='("$",F8.2)') $
	ELSE tmp=tmp+'  Total'
    s(i)=tmp
    ENDFOR
mputfile,'~steele/CSA/budget.tot',s

RETURN
END
