From cliff@shadow Thu Jan 13 13:56 MST 1994
To: steele@wesson.phys.ucalgary.ca
Subject: Re: Bug/feature of Novarestor


Hi Dave,

> Hi, Cliff.  I've been trying to work out a way to expedite data
> extraction and processing from the Polar Camera DATs.  Greg and
> Titus both suggested using 'rsh' on jasper to run 'novarestor' on
> calvin, so I could pupt the whole process (novarestor + 'idl'
> operations) into a single shell script that could be run on jasper
> (using 'at' if necessary).

  Super thought!  Nice to see that there are some people trying to be
  a nice net-neighbour! {-8.

> I just tried using rsh to run novarestor.  The command issued was

> /usr/net/rsh calvin /usr/local/bin/novarestor clsvx 1 /dev/mt/hc0 "*" > eu9317.set1

  Ah. The problem here is the '"*"'.  Because '"' is a special character
  to the shell, given that it was not literal'ed , the shell would have
  expanded the asterisk on the 'jasper-side' of the execution.  Effectively,
  trying to extract from tape, all the files listed on the current working
  directory.  The rectify this '"*"' should have been '\"*\"'.  Alternatively,
  it could also have been in single-quotes instead of doubles ("*" -> '*').
  Also, in the case of novarestor, to perform the star pattern-matching, simply
  giving no patterns assumes asterisk.

  Have I muddied things? {-8

> Can you diagnose what's happening, and suggest what I should do to
> allow a process initiated non-interactively from jasper to effect
> extraction of data files from the DAT tape drive attached to calvin?
> I would prefer to have the novarestor process running on calvin, so
> as to avoid the slow netword data transfer noted in the novarestor
> MAN page, but if I don't have that option, so be it.

  Actually (...a little known fact), the fastest DAT we have is the one in
  fabry (Greg Garbe's machine).  Depending on the network load, I've seen
  between 2 and 5 times the read/write rate of the DATs on either calvin
  or shadow...  you might want to keep that in mind for large data transfers.
  (Listing the contents of a tape is uniformly roughly the same speed on
  all three systems.)

> Hoping you can help,

  Hoping I have... {-%

Cliff

